See Setting Up Google Play for more information. We generally recommend updating the token via the UI. Update a specific web token for a Google Enterprise (EMM) instance. Performs a full replacement of the web token record identified by webtoken_id, updating its configuration and returning the updated token object.
Required request body fields:
emm — the integer ID of the EMM instance (from GET /v0/enterprise/{enterprise_id}/emm/) parent_url — the URL of the application that will host the Play Store iFrame; must use the https scheme
Security
esper_cloud_api_apiKey
- Mock serverhttps://api.esper.io/_mock/openapi/v0/enterprise/{enterprise_id}/emm/{emm_id}/webtoken/{webtoken_id}
- https://develop-api.esper.cloud/apihttps://develop-api.esper.cloud/api/v0/enterprise/{enterprise_id}/emm/{emm_id}/webtoken/{webtoken_id}
curl -i -X PUT \
'https://api.esper.io/_mock/openapi/v0/enterprise/{enterprise_id}/emm/{emm_id}/webtoken/{webtoken_id}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"id": 0,
"emm": 0,
"token": "string",
"parent_url": "string",
"is_active": true
}'Response
{ "id": 0, "emm": 0, "token": "string", "parent_url": "string", "is_active": true, "created_on": "2019-08-24T14:15:22Z" }